Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.jni
Class MSMQAPIReturnCode

    java.lang.Object
      com.stc.connector.msmqadapter.jni.MSMQAPIReturnCode

    public class MSMQAPIReturnCode

extends java.lang.Object

Author:
  rchen

Field Summary
`static long` | `MQ_ERROR_ACCESS_DENIED` The action specified in dwAction does not agree with the access mode with which the queue was opened.
`static java.lang.String` | `MQ_ERROR_ACCESS_DENIED_STR`
`static long` | `MQ_ERROR_BUFFER_OVERFLOW` The buffer supplied for PROPID_M_BODY, PROPID_M_COMPOUND_MESSAGE, PROPID_M_EXTENSION, or PROPID_M_SOAP_ENVELOPE is too small.
`static java.lang.String` | `MQ_ERROR_BUFFER_OVERFLOW_STR`
`static long` | `MQ_ERROR_DTC_CONNECT`
`static java.lang.String` | `MQ_ERROR_DTC_CONNECT_STR`
`static long` | `MQ_ERROR_FORMATNAME_BUFFER_TOO_SMALL` The supplied format name buffer is too small to hold the format name of the queue.
`static java.lang.String` | `MQ_ERROR_FORMATNAME_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_ILLEGAL_CURSOR_ACTION` MQ_ACTION_PEEK_NEXT cannot be used when the current cursor position is at the end of the queue.
`static java.lang.String` | `MQ_ERROR_ILLEGAL_CURSOR_ACTION_STR`
`static long` | `MQ_ERROR_ILLEGAL_FORMATNAME`
`static java.lang.String` | `MQ_ERROR_ILLEGAL_FORMATNAME_STR`
`static long` | `MQ_ERROR_INSUFFICIENT_PROPERTIES` One of the following message properties was specified (in pMessageProps) without its associated length property: PROPID_M_ADMIN_QUEUE, PROPID_M_DEST_QUEUE, PROPID_M_LABEL, PROPID_M_RESP_QUEUE, PROPID_M_XACT_STATUS_QUEUE, or PROPID_M_PROV_NAME.
`static java.lang.String` | `MQ_ERROR_INSUFFICIENT_PROPERTIES_STR`
`static long` | `MQ_ERROR_INVALID_HANDLE` The queue handle specified in hSource is not valid.
`static java.lang.String` | `MQ_ERROR_INVALID_HANDLE_STR`
`static long` | `MQ_ERROR_IO_TIMEOUT` No message was received within the time-out period specified by dwTimeout.
`static java.lang.String` | `MQ_ERROR_IO_TIMEOUT_STR`
`static long` | `MQ_ERROR_LABEL_BUFFER_TOO_SMALL` The supplied message label buffer is too small to hold the label of the message.
`static java.lang.String` | `MQ_ERROR_LABEL_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_MESSAGE_ALREADY_RECEIVED` A message that is currently pointed at by the cursor has been removed from the queue.
`static java.lang.String` | `MQ_ERROR_MESSAGE_ALREADY_RECEIVED_STR`
`static long` | `MQ_ERROR_OPERATION_CANCELLED` The operation was canceled before it could be completed.
`static java.lang.String` | `MQ_ERROR_OPERATION_CANCELLED_STR`
`static long` | `MQ_ERROR_PROPERTY` One or more message properties specified in pMessageProps resulted in an error.
`static java.lang.String` | `MQ_ERROR_PROPERTY_STR`
`static long` | `MQ_ERROR_PROV_NAME_BUFFER_TOO_SMALL` The supplied provider name buffer is too small to hold the cryptographic service provider's name.
`static java.lang.String` | `MQ_ERROR_PROV_NAME_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_QUEUE_DELETED` The queue was deleted before the message could be read.
`static java.lang.String` | `MQ_ERROR_QUEUE_DELETED_STR`
`static long` | `MQ_ERROR_QUEUE_NOT_FOUND`
`static java.lang.String` | `MQ_ERROR_QUEUE_NOT_FOUND_STR`
`static long` | `MQ_ERROR_REMOTE_MACHINE_NOT_AVAILABLE`
`static java.lang.String` | `MQ_ERROR_REMOTE_MACHINE_NOT_AVAILABLE_STR`
`static long` | `MQ_ERROR_SENDER_CERT_BUFFER_TOO_SMALL`
`static java.lang.String` | `MQ_ERROR_SENDER_CERT_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_SENDERID_BUFFER_TOO_SMALL`
`static java.lang.String` | `MQ_ERROR_SENDERID_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_SERVICE_NOT_AVAILABLE`
`static java.lang.String` | `MQ_ERROR_SERVICE_NOT_AVAILABLE_STR`
`static long` | `MQ_ERROR_SHARING_VIOLATION`
`static java.lang.String` | `MQ_ERROR_SHARING_VIOLATION_STR`
`static long` | `MQ_ERROR_SIGNATURE_BUFFER_TOO_SMALL`
`static java.lang.String` | `MQ_ERROR_SIGNATURE_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_STALE_HANDLE`
`static java.lang.String` | `MQ_ERROR_STALE_HANDLE_STR`
`static long` | `MQ_ERROR_SYMM_KEY_BUFFER_TOO_SMALL`
`static java.lang.String` | `MQ_ERROR_SYMM_KEY_BUFFER_TOO_SMALL_STR`
`static long` | `MQ_ERROR_TRANSACTION_USAGE` One of the following actions was attempted within the context of a transaction.
`static java.lang.String` | `MQ_ERROR_TRANSACTION_USAGE_STR`
`static long` | `MQ_ERROR_UNSUPPORTED_ACCESS_MODE`
`static java.lang.String` | `MQ_ERROR_UNSUPPORTED_ACCESS_MODE_STR`
`static long` | `MQ_INFORMATION_OPERATION_PENDING`
`static java.lang.String` | `MQ_INFORMATION_OPERATION_PENDING_STR`
`static long` | `MQ_INFORMATION_PROPERTY`
`static java.lang.String` | `MQ_INFORMATION_PROPERTY_STR`
`static long` | `MQ_OK` Indicates success.

Constructor Summary
`MSMQAPIReturnCode()`

Method Summary
`static java.lang.String` | `MapMSMQCodeToStringMsg(long r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MQ_OK

    public static long MQ_OK

  Indicates success.

### MQ_ERROR_ACCESS_DENIED

    public static long MQ_ERROR_ACCESS_DENIED

  The action specified in dwAction does not agree with the access mode with which the queue was opened.

### MQ_ERROR_ACCESS_DENIED_STR

    public static java.lang.String MQ_ERROR_ACCESS_DENIED_STR

### MQ_ERROR_BUFFER_OVERFLOW

    public static long MQ_ERROR_BUFFER_OVERFLOW

  The buffer supplied for PROPID_M_BODY, PROPID_M_COMPOUND_MESSAGE, PROPID_M_EXTENSION, or PROPID_M_SOAP_ENVELOPE is too small. Details can be retrieved from the aStatus array. In each case, the portion of the property that fits is copied to the buffer, but the message is not removed from the queue.

### MQ_ERROR_BUFFER_OVERFLOW_STR

    public static java.lang.String MQ_ERROR_BUFFER_OVERFLOW_STR

### MQ_ERROR_ILLEGAL_FORMATNAME

    public static long MQ_ERROR_ILLEGAL_FORMATNAME

### MQ_ERROR_ILLEGAL_FORMATNAME_STR

    public static java.lang.String MQ_ERROR_ILLEGAL_FORMATNAME_STR

### MQ_ERROR_DTC_CONNECT

    public static long MQ_ERROR_DTC_CONNECT

### MQ_ERROR_DTC_CONNECT_STR

    public static java.lang.String MQ_ERROR_DTC_CONNECT_STR

### MQ_ERROR_QUEUE_NOT_FOUND

    public static long MQ_ERROR_QUEUE_NOT_FOUND

### MQ_ERROR_QUEUE_NOT_FOUND_STR

    public static java.lang.String MQ_ERROR_QUEUE_NOT_FOUND_STR

### MQ_ERROR_REMOTE_MACHINE_NOT_AVAILABLE

    public static long MQ_ERROR_REMOTE_MACHINE_NOT_AVAILABLE

### MQ_ERROR_REMOTE_MACHINE_NOT_AVAILABLE_STR

    public static java.lang.String MQ_ERROR_REMOTE_MACHINE_NOT_AVAILABLE_STR

### MQ_ERROR_SERVICE_NOT_AVAILABLE

    public static long MQ_ERROR_SERVICE_NOT_AVAILABLE

### MQ_ERROR_SERVICE_NOT_AVAILABLE_STR

    public static java.lang.String MQ_ERROR_SERVICE_NOT_AVAILABLE_STR

### MQ_ERROR_SHARING_VIOLATION

    public static long MQ_ERROR_SHARING_VIOLATION

### MQ_ERROR_SHARING_VIOLATION_STR

    public static java.lang.String MQ_ERROR_SHARING_VIOLATION_STR

### MQ_ERROR_UNSUPPORTED_ACCESS_MODE

    public static long MQ_ERROR_UNSUPPORTED_ACCESS_MODE

### MQ_ERROR_UNSUPPORTED_ACCESS_MODE_STR

    public static java.lang.String MQ_ERROR_UNSUPPORTED_ACCESS_MODE_STR

### MQ_ERROR_FORMATNAME_BUFFER_TOO_SMALL

    public static long MQ_ERROR_FORMATNAME_BUFFER_TOO_SMALL

  The supplied format name buffer is too small to hold the format name of the queue.

### MQ_ERROR_FORMATNAME_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_FORMATNAME_BUFFER_TOO_SMALL_STR

### MQ_ERROR_ILLEGAL_CURSOR_ACTION

    public static long MQ_ERROR_ILLEGAL_CURSOR_ACTION

  MQ_ACTION_PEEK_NEXT cannot be used when the current cursor position is at the end of the queue.

### MQ_ERROR_ILLEGAL_CURSOR_ACTION_STR

    public static java.lang.String MQ_ERROR_ILLEGAL_CURSOR_ACTION_STR

### MQ_ERROR_INSUFFICIENT_PROPERTIES

    public static long MQ_ERROR_INSUFFICIENT_PROPERTIES

  One of the following message properties was specified (in pMessageProps) without its associated length property: PROPID_M_ADMIN_QUEUE, PROPID_M_DEST_QUEUE, PROPID_M_LABEL, PROPID_M_RESP_QUEUE, PROPID_M_XACT_STATUS_QUEUE, or PROPID_M_PROV_NAME.

### MQ_ERROR_INSUFFICIENT_PROPERTIES_STR

    public static java.lang.String MQ_ERROR_INSUFFICIENT_PROPERTIES_STR

### MQ_ERROR_INVALID_HANDLE

    public static long MQ_ERROR_INVALID_HANDLE

  The queue handle specified in hSource is not valid.

### MQ_ERROR_INVALID_HANDLE_STR

    public static java.lang.String MQ_ERROR_INVALID_HANDLE_STR

### MQ_ERROR_IO_TIMEOUT

    public static long MQ_ERROR_IO_TIMEOUT

  No message was received within the time-out period specified by dwTimeout.

### MQ_ERROR_IO_TIMEOUT_STR

    public static java.lang.String MQ_ERROR_IO_TIMEOUT_STR

### MQ_ERROR_LABEL_BUFFER_TOO_SMALL

    public static long MQ_ERROR_LABEL_BUFFER_TOO_SMALL

  The supplied message label buffer is too small to hold the label of the message.

### MQ_ERROR_LABEL_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_LABEL_BUFFER_TOO_SMALL_STR

### MQ_ERROR_MESSAGE_ALREADY_RECEIVED

    public static long MQ_ERROR_MESSAGE_ALREADY_RECEIVED

  A message that is currently pointed at by the cursor has been removed from the queue. It can be removed by another process or by another call to MQReceiveMessage using a different cursor, or the message time-to-be-received timer has expired.

### MQ_ERROR_MESSAGE_ALREADY_RECEIVED_STR

    public static java.lang.String MQ_ERROR_MESSAGE_ALREADY_RECEIVED_STR

### MQ_ERROR_OPERATION_CANCELLED

    public static long MQ_ERROR_OPERATION_CANCELLED

  The operation was canceled before it could be completed. For example, the queue handle was closed by another thread while waiting for a message.

### MQ_ERROR_OPERATION_CANCELLED_STR

    public static java.lang.String MQ_ERROR_OPERATION_CANCELLED_STR

### MQ_ERROR_PROV_NAME_BUFFER_TOO_SMALL

    public static long MQ_ERROR_PROV_NAME_BUFFER_TOO_SMALL

  The supplied provider name buffer is too small to hold the cryptographic service provider's name.

### MQ_ERROR_PROV_NAME_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_PROV_NAME_BUFFER_TOO_SMALL_STR

### MQ_ERROR_PROPERTY

    public static long MQ_ERROR_PROPERTY

  One or more message properties specified in pMessageProps resulted in an error.

### MQ_ERROR_PROPERTY_STR

    public static java.lang.String MQ_ERROR_PROPERTY_STR

### MQ_ERROR_QUEUE_DELETED

    public static long MQ_ERROR_QUEUE_DELETED

  The queue was deleted before the message could be read. The specified queue handle is no longer valid and the queue handle must be closed.

### MQ_ERROR_QUEUE_DELETED_STR

    public static java.lang.String MQ_ERROR_QUEUE_DELETED_STR

### MQ_ERROR_SENDER_CERT_BUFFER_TOO_SMALL

    public static long MQ_ERROR_SENDER_CERT_BUFFER_TOO_SMALL

### MQ_ERROR_SENDER_CERT_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_SENDER_CERT_BUFFER_TOO_SMALL_STR

### MQ_ERROR_SENDERID_BUFFER_TOO_SMALL

    public static long MQ_ERROR_SENDERID_BUFFER_TOO_SMALL

### MQ_ERROR_SENDERID_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_SENDERID_BUFFER_TOO_SMALL_STR

### MQ_ERROR_SIGNATURE_BUFFER_TOO_SMALL

    public static long MQ_ERROR_SIGNATURE_BUFFER_TOO_SMALL

### MQ_ERROR_SIGNATURE_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_SIGNATURE_BUFFER_TOO_SMALL_STR

### MQ_ERROR_STALE_HANDLE

    public static long MQ_ERROR_STALE_HANDLE

### MQ_ERROR_STALE_HANDLE_STR

    public static java.lang.String MQ_ERROR_STALE_HANDLE_STR

### MQ_ERROR_SYMM_KEY_BUFFER_TOO_SMALL

    public static long MQ_ERROR_SYMM_KEY_BUFFER_TOO_SMALL

### MQ_ERROR_SYMM_KEY_BUFFER_TOO_SMALL_STR

    public static java.lang.String MQ_ERROR_SYMM_KEY_BUFFER_TOO_SMALL_STR

### MQ_ERROR_TRANSACTION_USAGE

    public static long MQ_ERROR_TRANSACTION_USAGE

  One of the following actions was attempted within the context of a transaction. An attempt was made to open a remote queue for read access. An attempt was made to read a message from a nontransactional queue. an attempt was made to read a message using a callback function or an OVERLAPPED structure.

### MQ_ERROR_TRANSACTION_USAGE_STR

    public static java.lang.String MQ_ERROR_TRANSACTION_USAGE_STR

### MQ_INFORMATION_OPERATION_PENDING

    public static long MQ_INFORMATION_OPERATION_PENDING

### MQ_INFORMATION_OPERATION_PENDING_STR

    public static java.lang.String MQ_INFORMATION_OPERATION_PENDING_STR

### MQ_INFORMATION_PROPERTY

    public static long MQ_INFORMATION_PROPERTY

### MQ_INFORMATION_PROPERTY_STR

    public static java.lang.String MQ_INFORMATION_PROPERTY_STR

Constructor Detail

### MSMQAPIReturnCode

    public MSMQAPIReturnCode()

Method Detail

### MapMSMQCodeToStringMsg

    public static java.lang.String MapMSMQCodeToStringMsg(long r)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD